<?php
class CmsPluginViewJoomla
{

    public function _e($message, $domain)
    {
        return _e($message, $domain);
    }

    public function __($message, $domain)
    {
        return __($message, $domain);
    }

    public function getFormTempKey($name)
    {
        return wp_create_nonce($name);
    }

    public function verifyFormTempKey($value, $name)
    {
        return wp_verify_nonce($value, $name);
    }

    public function getAppUrl()
    {
        $currentPluginUrl = plugin_dir_url( __FILE__ );
        $config = json_decode(file_get_contents($currentPluginUrl.'/config.txt'),true);
        return $config['host'];
    }

    public function getVideoLink()
    {
        $currentPluginUrl = plugin_dir_url( __FILE__ );
        $config = json_decode(file_get_contents($currentPluginUrl.'/config.txt'),true);
        return $config['youtube'];
    }

    public function getPluginSourceName()
    {
        return $this->__('Joomla', 'cms2cms-joomla-migration');
    }

    public function getPluginSourceType()
    {
        return 'Joomla';
    }

    public function getPluginTargetName()
    {
        return $this->__('WordPress', 'cms2cms-joomla-migration');
    }

    public function getPluginTargetType()
    {
        return 'WordPress';
    }

    public function getPluginNameLong()
    {
        return sprintf(
            $this->__('CMS2CMS: Automated %s to %s Migration ', 'cms2cms-joomla-migration'),
            $this->getPluginSourceName(),
            $this->getPluginTargetName()
        );
    }

    public function getPluginNameShort()
    {
        return sprintf(
            $this->__('%s to %s', 'cms2cms-joomla-migration'),
            $this->getPluginSourceName(),
            $this->getPluginTargetName()
        );
    }

    public function getPluginReferrerId()
    {
        return sprintf(
            'Plugin | %s | %s to %s',
            $this->getPluginTargetType(),
            $this->getPluginSourceType(),
            $this->getPluginTargetType()
        );
    }

    public function getRegisterUrl()
    {
        return $this->getAppUrl() . '/auth/register';
    }

    public function getBridgeUrl()
    {
        return $this->getAppUrl() . '/wizard/get-bridge';
    }

    public function getBridgeFaqUrl()
    {
	return 'https://www.cms2cms.com/faqs/what-is-the-connection-bridge-and-how-to-install-it';
    }

    public function getLoginUrl()
    {
        return $this->getAppUrl() . '/auth/login';
    }

    public function getForgotPasswordUrl()
    {
        return $this->getAppUrl() . '/auth/forgot-password';
    }

    public function getVerifyUrl()
    {
        return $this->getAppUrl() . '/wizard/verify';
    }

    public function getWizardUrl()
    {
        return $this->getAppUrl() . '/wizard';
    }

    public function getDownLoadBridgeUrl($cms2cms_joomla_authentication)
    {
        return $this->getAppUrl() . '/wizard/get-bridge?callback=plugin&authentication=' . urlencode(json_encode($cms2cms_joomla_authentication));
    }

}